/*------------------------------------------------------------------*/
/* {ɦW: wat24.c                                              */
/*------------------------------------------------------------------*/
#include <dos.h>
#include <bios.h>
#include <stdio.h>

#define BIOS_VIDEO 0x10

void interrupt far video_func(void);
void (interrupt far *pre_func)(void);

void main()
{
  union REGS xr, yr;
  unsigned c;
  unsigned intno = 0x10;

  pre_func = _dos_getvect(intno);

  _disable();
  _dos_setvect(intno, video_func);
  _enable();

  xr.h.ah = 0x87;
  xr.h.al = 0x00;
  xr.w.cx = 250;
  xr.w.dx = 250;
  xr.w.si = 150;
  int86(0x10, &xr, &yr);

  _disable();
  _dos_setvect(intno, pre_func);
  _enable();
}

void interrupt far video_func(void)
{
  _chain_intr(pre_func);
}
